## BtVolumePopup BtVolumePopup — volume popup widget |

## Functions

GtkWidget * | bt_volume_popup_new ()
void | bt_volume_popup_show ()
void | bt_volume_popup_hide ()

## Types and Values

struct | BtVolumePopup

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── BtVolumePopup

## Implemented Interfaces

BtVolumePopup implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

Shows a popup window containing a vertical slider

## Functions

### bt_volume_popup_new ()

    GtkWidget *
    bt_volume_popup_new (GtkAdjustment *adj);

Create a new instance

#### Parameters

adj | the adjustment for the popup |

#### Returns

the new instance or `NULL` in case of an error

### bt_volume_popup_show ()

    void
    bt_volume_popup_show (BtVolumePopup *self);

Show and activate the widget

#### Parameters

self | the popup widget |

### bt_volume_popup_hide ()

    void
    bt_volume_popup_hide (BtVolumePopup *self);

Hide and deactivate the widget

#### Parameters

self | the popup widget |

## Types and Values

### struct BtVolumePopup

    struct BtVolumePopup;

a volume popup widget